END(3)

NAME
end, etext, edata - last locations in program

SYNOPSIS
extern end;
extern etext;
extern edata;

DESCRIPTION

These names refer neither to routines nor to locations with interesting contents. The address of etext is the first address above the program text, edata above the initialized data region, and end() above the uninitialized data region.

When execution begins, the program break (the first location beyond the data) coincides with end, but it is reset by the routines brk(2), malloc(3V), standard input/output (stdio(3V)), the profile (-p) option of cc(1V), and so on. Thus, the current value of the program break should be determined by sbrk(0) (see brk(2)).

SEE ALSO
cc(1V), brk(2), malloc(3V), stdio(3V)